User account creation filtered due to spam.

Bug 10581 - ICE compiling freenet
Summary: ICE compiling freenet
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 3.3
: P3 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-01 14:46 UTC by 186922
Modified: 2007-01-09 20:45 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work: 3.3.4
Known to fail: 3.3.3 3.4.0
Last reconfirmed:


Attachments
SplitFileInsertManager.java.gz (4.75 KB, application/x-gzip )
2003-05-21 15:17 UTC, 186922
Details
Superclass of SplitFileInsertManager (7.24 KB, application/java source gzipped)
2004-02-27 15:14 UTC, Ruben Garcia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 186922 2003-05-01 14:46:01 UTC
[ Reported to the Debian BTS as report #186922.
  Please CC 186922@bugs.debian.org on replies.
  Log of report can be found at http://bugs.debian.org/186922 ]
	

Trying to compile with 3.3 CVS 20030429 and 3.4 CVS 20030418

$ gcj-3.3 -c freenet/client/SplitFileInsertManager.java
freenet/client/SplitFileInsertManager.java:510: internal compiler error: in lhd_incomplete_type_error, at langhooks.c:210
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Attaching the the SplitFileInsertManager.java file in a followup.
The freenet sources can be found at
  http://belnet.dl.sourceforge.net/sourceforge/freenet/freenet-0.5.1.src.tar.bz2

Release:
unknown
Comment 1 Tom Tromey 2003-05-03 15:55:47 UTC
State-Changed-From-To: open-analyzed
State-Changed-Why: Definitely a bug.

I looked at this a little.  It appears to be yet another problem
resolving unqualified inner class names.
Comment 2 Ruben Garcia 2004-02-27 15:14:47 UTC
Created attachment 5811 [details]
Superclass of SplitFileInsertManager

This file also creates an ICE, and since it is the superclass,
might be easier to debug.
Comment 3 Ruben Garcia 2004-03-04 15:22:46 UTC
(In reply to comment #2)

Full message of gcj 3.3.3

gcj -c RequestManager.java
RequestManager.java:459: internal compiler error: in expand_expr, at expr.c:7350
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Comment 4 Ruben Garcia 2004-09-14 10:00:22 UTC
Seems to work now with gcc 3.3.4 
(Either that or the files have changed with the new version of freenet)
At least I can compile both files.
Comment 5 Giovanni Bajo 2004-09-14 11:33:39 UTC
Somebody will have to check with mainline and newer 3.4 then
Comment 6 Ruben Garcia 2004-11-04 11:47:34 UTC
(In reply to comment #5)
> Somebody will have to check with mainline and newer 3.4 then
Tested with freenet-stable-latest.src.25.Oct.2004.tar.bz2
and gcc version 3.4.2  (Gentoo Linux 3.4.2-r2, ssp-3.4.1-1, pie-8.7.6.5)
make -f Makefile.gcj freenet/client/RequestManager.o
Works

Other files fail, though
I'd close this bug report and add a new one, but I think I already opened
one on ThrottledAsyncEntropyYarrow.java

Compiling: freenet/node/Main.java
./freenet/crypt/ThrottledAsyncEntropyYarrow.java:49: error: '(' expected.
                                               
ThrottledAsyncEntropyYarrow.super.acceptEntropy(e.source, e.data, e.entropyGuess);
         ^
1 error
make: *** [freenet/node/Main.o] Error 1
Comment 7 Ruben Garcia 2004-11-04 11:55:22 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Somebody will have to check with mainline and newer 3.4 then
> Tested with freenet-stable-latest.src.25.Oct.2004.tar.bz2
> and gcc version 3.4.2  (Gentoo Linux 3.4.2-r2, ssp-3.4.1-1, pie-8.7.6.5)
> make -f Makefile.gcj freenet/client/RequestManager.o
> Works
> 
> Other files fail, though
> I'd close this bug report and add a new one, but I think I already opened
> one on ThrottledAsyncEntropyYarrow.java
> 
> Compiling: freenet/node/Main.java
> ./freenet/crypt/ThrottledAsyncEntropyYarrow.java:49: error: '(' expected.
>                                                
> ThrottledAsyncEntropyYarrow.super.acceptEntropy(e.source, e.data, e.entropyGuess);
>          ^
> 1 error
> make: *** [freenet/node/Main.o] Error 1

I just copied the two files from the old version over the new files and
recompiled, and got the same problem in ThrottledAsyncEntropyYarrow.

Comment 8 Tom Tromey 2007-01-09 20:45:27 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.